## gnustep-gui 0.25.0

=== debian/changelog ===
gnustep-gui (0.25.0-4) unstable; urgency=medium

  * Delete debian/libgnustep-gui0.25.symbols file (Closes: #835894).
  * Override lintian warning about symbols control file.

 -- Eric Heintzmann <heintzmann.eric@free.fr>  Fri, 02 Sep 2016 19:42:42 +0200

gnustep-gui (0.25.0-3) unstable; urgency=medium

  * Closes: #834025 :
    + update debian/rules :
      - don't use --link-doc between arch all and not all packages.
      - generate libgnustep-guiN.maintscript file
      - generate libgnustep-guiN.docs file
    + new debian/templates/libgnustep-guiN.maintscript.in file.
    + new debian/templates/libgnustep-guiN.docs.in file
    + update debian/clean file

 -- Eric Heintzmann <heintzmann.eric@free.fr>  Tue, 23 Aug 2016 00:16:11 +0200

gnustep-gui (0.25.0-2) unstable; urgency=medium

  * Upload to unstable
  * Update debian/patches/fix-spelling-errors patch
  * Thanks to Iain R. Learmonth, use cme and licensecheck tools:
    + Update debian/templates/control.m4 file
      and regenerate debian/control file
    + Provide a new debian/copyright-scan-patterns.yml file
    + Provide a new debian/fill.copyright.blanks.yml file
    + Provide a new debian/fix.scanned.copyright file
    + Update debian/copyright file

 -- Eric Heintzmann <heintzmann.eric@free.fr>  Fri, 08 Jul 2016 20:42:40 +0200

gnustep-gui (0.25.0-1) experimental; urgency=low

  * Team Upload:
    + In agreement with the Debian GNUstep maintainers,
      add myself as Uploader
  * New Upstream version 0.25.0:
    + Closes: #826592
    + remove gorm-loading patch, now useless
    + remove xib-loading patch, now useless
    + remove giflib5.diff patch, now useless
    + update info-direntry patch
    + New SONAME, thus package names are changed:
      - libgnustep-gui0.24     -> libgnustep-gui0.25
      - libgnustep-gui0.24-dev -> libgnustep-gui0.25-dev
      - libgnustep-gui0.24-dbg -> libgnustep-gui0.25-dbg
      - start a transition: upload in experimental first
  * New fix-spelling-errors patch
  * Move debian/control.m4 file to new debian/templates directory
   + bump Standards-Version to 3.9.8
   + now depends on latest gnustep-base
   + remove useless {gnustep:Depends} variable
   + update Vcs-* fields
   + tighten dependencies
   + add build dependency to dh-autoreconf
  * Move debian/libgnustep-guiN.overrides.m4 to debian/templates directory
  * Provide a new debian/templates/gnustep-gui-common.install.in
  * Provide a new debian/templates/gnustep-gui-doc.install.in file
  * Provide a new debian/templates/gnustep-gui-runtime.install.in file
  * Provide a new debian/templates/gnustep-gui-runtime.links.in file
  * Provide a new debian/templates/libgnustep-gui-dev.install.in file
  * Provide a new debian/templates/libgnustep-guiN.install.in file
  * New debian/source/local-options file
  * Update debian/watch file to version 4
  * New debian/upstream/signing-key.asc file
  * Rewrite debian/copyright file
  * Provide a new debian/clean file
  * Provide a new debian/gnustep-gui-common.docs file
  * Provide a new debian/gnustep-gui-common.manpages file
  * Provide a new debian/gnustep-gui-doc.docs file
  * Provide a new debian/gnustep-gui-doc.info file
  * Provide a new debian/libgnustep-gui0.25.symbols
  * Rewrite debian/rules file for easier maintenance
    + use override_dh_* targets
    + enable hardening:
      remove debian/gnustep-gui-runtime.lintian-overrides, now useless

 -- Eric Heintzmann <heintzmann.eric@free.fr>  Thu, 30 Jun 2016 22:13:09 +0200
