=== debian/control ===
Source: gnustep-gui
Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
Uploaders: Eric Heintzmann <heintzmann.eric@free.fr>,
           Gürkan Sengün <gurkan@phys.ethz.ch>,
           Yavor Doganov <yavor@gnu.org>
Section: gnustep
Priority: optional
Build-Depends: debhelper (>= 9),
               m4,
               dh-autoreconf,
               libgnustep-base-dev (>= 1.24.9),
               libjpeg-dev,
               libtiff-dev,
               libpng-dev,
               libgif-dev,
               libmagickcore-dev,
               libicu-dev,
               libaspell-dev,
               zlib1g-dev,
               libcups2-dev,
               libao-dev,
               libsndfile1-dev,
               flite1-dev
Build-Depends-Indep: texinfo,
                     texlive-base,
                     texlive-latex-base
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/git/pkg-gnustep/gnustep-gui.git
Vcs-Git: https://anonscm.debian.org/git/pkg-gnustep/gnustep-gui.git
Homepage: http://gnustep.org

Package: gnustep-gui-common
Architecture: all
Depends: gnustep-base-common (>= 1.24.9),
         ${misc:Depends}
Description: GNUstep GUI Library - common files
 The GNUstep GUI Library is a powerful library of graphical user interface
 classes written completely in the Objective-C language; the classes are
 based upon the OpenStep specification, and provide the user with a
 traditional nextstep-like look and feel.
 .
 This package contains the common files needed by the GNUstep GUI library.

Package: gnustep-gui-runtime
Architecture: any
Depends: gnustep-gui-common (= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: GNUstep GUI Library - runtime files
 The GNUstep GUI Library is a powerful library of graphical user interface
 classes written completely in the Objective-C language; the classes are
 based upon the OpenStep specification, and provide the user with a
 traditional nextstep-like look and feel.
 .
 This package contains the runtime support files needed by GNUstep GUI
 applications.

Package: libgnustep-gui0.25
Architecture: any
Section: libs
Depends: gnustep-gui-common (= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: gnustep-gui-runtime (= ${binary:Version})
Description: GNUstep GUI Library
 The GNUstep GUI library is a powerful library of graphical user interface
 classes written completely in the Objective-C language; the classes are
 based upon the OpenStep specification, and provide the user with a
 traditional nextstep-like look and feel.  The classes include graphical
 objects such as windows, menus, buttons, text fields, popup lists, browsers,
 scrollviews, splitviews, fonts, colors, images, events, pasteboards...
 You need the corresponding backend library package (gnustep-back) to use
 this package.

Package: libgnustep-gui-dev
Architecture: any
Section: libdevel
Depends: libgnustep-gui0.25 (= ${binary:Version}),
         gnustep-gui-common (= ${source:Version}),
         gnustep-gui-runtime (= ${binary:Version}),
         libgnustep-base-dev (>= 1.24.9),
         ${misc:Depends}
Suggests: gnustep-gui-doc
Description: GNUstep GUI header files and static libraries
 The GNUstep GUI Library is a powerful library of graphical user interface
 classes written completely in the Objective-C language; the classes are
 based upon the OpenStep specification, and provide the user with a
 traditional nextstep-like look and feel.
 .
 This package contains the header files and static libraries required
 to build applications against the GNUstep GUI library.
 .
 Install this package if you wish to develop your own programs using
 the GNUstep GUI Library.

Package: libgnustep-gui0.25-dbg
Architecture: any
Section: debug
Priority: extra
Depends: gnustep-gui-common (= ${source:Version}),
         gnustep-gui-runtime (= ${binary:Version}),
         libgnustep-gui0.25 (= ${binary:Version}),
         ${misc:Depends}
Recommends: libgnustep-base1.24-dbg
Description: GNUstep GUI Library - debugging symbols
 The GNUstep GUI Library is a powerful library of graphical user interface
 classes written completely in the Objective-C language; the classes are
 based upon the OpenStep specification, and provide the user with a
 traditional nextstep-like look and feel.
 .
 This package contains the debugging symbols for the GNUstep GUI library.

Package: gnustep-gui-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Documentation for the GNUstep GUI Library
 The GNUstep GUI Library is a powerful library of graphical user interface
 classes written completely in the Objective-C language; the classes are
 based upon the OpenStep specification, and provide the user with a
 traditional nextstep-like look and feel.
 .
 This package contains text, gsdoc, PDF and HTML documentation for the
 GNUstep GUI Library.
