=== debian/watch ===
version=4
opts="pgpsigurlmangle=s%$%.sig%, pasv" \
http://wwwmain.gnustep.org/resources/downloads.php \
   (?:|.*/)gnustep-gui(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz) debian uupdate
