## gnustep-gui 0.26.2

=== debian/changelog ===
gnustep-gui (0.26.2-3) unstable; urgency=medium

  * debian/patches/gsdisplayserver-mainthread.patch: New, cherry-picked
    from upstream; makes possible drawing from secondary threads which is
    needed by lynkeos.app/2.10.
  * debian/patches/gstheme-nssegmentedcontrol.patch: New, cherry-picked
    from upstream; fixes int/NSInteger mismatch and enables mouse tracking
    for NSSegmentedCell.
  * debian/patches/series: Update.
  * debian/rules: Remove boilerplate dh_make comments.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 06 Mar 2018 19:55:44 +0200

gnustep-gui (0.26.2-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/templates/control.m4: (Vcs-Git, Vcs-Browser): Update to point
    to the new repository location at salsa.debian.org.
    (gnustep-gui-doc): Mark as Multi-Arch: foreign.
  * debian/control: Regenerate.
  * debian/patches/panel-selection.patch: New, fixes file selection in
    panels.  Cherry-picked from upstream.
  * debian/patches/printing-crash.patch: New, fixes crash during printing
    when there is no printer configured.  Also taken from upstream.
  * debian/patches/series: Update.
  * debian/README.Debian: Delete; mostly duplicate of gnustep-common's
    README.Debian.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 25 Jan 2018 20:42:02 +0200

gnustep-gui (0.26.2-1) experimental; urgency=medium

  [ Eric Heintzmann ]
  * debian/patches/fix-spelling-errors.patch: Remove, applied upstream.
  * debian/patches/series: Update.
  * debian/templates/control.m4:
    + Bump Standards-Version to 4.1.0.
    + As required by Gürkan, update his name.
    + Use canonical URL in Vcs-Browser field.
  * Add a testsuite.
  * debian/rules:
    + Remove -pie option.
    + Now depends on latest gnustep-base.
    + Enable --as-needed LDFLAG.
    + Remove -shared-libgcc LDFLAG, now useless.
    + Recalculate dependencies of shared lib.

  [ Yavor Doganov ]
  * New upstream release 0.26.2:
    + Fixes printing via CUPS (Closes: #883583).
    + Fixes overlapping glyphs (Closes: #886226).
    + Rename library package following the SONAME change:
      - libgnustep-gui0.25 -> libgnustep-gui0.26
  * debian/watch: Switch to ftp.gnustep.org; much more reliable.
  * debian/compat: Bump compat level to 11.
  * debian/rules: Replace shell comments with makefile comments; strip
    trailing whitespace.
    (DEB_LDFLAGS_MAINT_APPEND): Add -Wl,--no-undefined.
    (v_base): Bump to 1.25.1; required.
    (override_dh_testdir): New target to regenerate debian/control.
    (override_dh_auto_build_arch): Explicitly pass dpkg-buildflags;
    gnustep-make discards environment flags so OBJCFLAGS is ignored
    completely for all compilation units, while LDFLAGS is discarded for
    some executables in the -runtime package.  Also pass $(optim) for
    proper noopt support in DEB_BUILD_OPTIONS.
    (override_dh_autotest): Run the testsuite.
    (override_dh_install): Don't skip .gsdoc files; they're necessary for
    generating proper cross-references.
    (override_dh_installdocs): Don't act on the -dbg package.
    (override_dh_strip): Remove override.
  * debian/templates/control.m4: Remove -dbg package in favor of automatic
    -dbgsym packages.  Relax some dependencies for smoother transitions (a
    reincarnation of #655433; regression introduced during the migration
    to modern debhelper).
    (Build-Depends): Require debhelper >= 11; remove dh-autoreconf.  Add
    gnustep-make >= 2.7.0-3 for the optim variable conditional definition.
    (Build-Depeends-Indep): Add gnustep-base-doc for usable xrefs to -base
    classes and methods.
    (gnustep-gui-doc): Recommend gnustep-base-doc.
    (Standards-Version): Claim compliance with 4.1.3 as of this release.
  * debian/control: Regenerate.
  * debian/tests/testsuite: New test; run the testsuite.
  * debian/tests/control (Tests): Add testsuite.
    (Restrictions): Add allow-stderr.
    (Depends): Add file, needed by file-tests.
  * debian/templates/libgnustep-guiN.overrides.m4: Remove override for
    no-symbols-control-file as lintian #749202 has been fixed.
  * debian/changelog: Whitespace cleanup.
  * debian/copyright: Update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Sat, 20 Jan 2018 18:44:22 +0200

gnustep-gui (0.25.0-5) unstable; urgency=medium

  * Ensure that gnustep-gui-runtime does not depend on gnustep-back
    (Closes: #880460). Thanks to Yavor Doganov.

 -- Eric Heintzmann <heintzmann.eric@free.fr>  Wed, 01 Nov 2017 19:47:23 +0100
