=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
+# -*-debian-control-*-
+# NOTE: debian/control is generated from debian/templates/control.m4
 Source: gnustep-gui
 Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
 Uploaders: Eric Heintzmann <heintzmann.eric@free.fr>,
-           Gürkan Sengün <gurkan@phys.ethz.ch>,
+           Gürkan Myczko <gurkan@phys.ethz.ch>,
            Yavor Doganov <yavor@gnu.org>
 Section: gnustep
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                m4,
-               dh-autoreconf,
-               libgnustep-base-dev (>= 1.24.9),
+               libgnustep-base-dev (>= 1.25.1),
+               gnustep-make (>= 2.7.0-3),
                libjpeg-dev,
                libtiff-dev,
                libpng-dev,
@@ -23,15 +25,16 @@
                flite1-dev
 Build-Depends-Indep: texinfo,
                      texlive-base,
-                     texlive-latex-base
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/git/pkg-gnustep/gnustep-gui.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-gnustep/gnustep-gui.git
+                     texlive-latex-base,
+                     gnustep-base-doc
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/gnustep-team/gnustep-gui
+Vcs-Git: https://salsa.debian.org/gnustep-team/gnustep-gui.git
 Homepage: http://gnustep.org
 
 Package: gnustep-gui-common
 Architecture: all
-Depends: gnustep-base-common (>= 1.24.9),
+Depends: gnustep-base-common (>= 1.25.1),
          ${misc:Depends}
 Description: GNUstep GUI Library - common files
  The GNUstep GUI Library is a powerful library of graphical user interface
@@ -43,7 +46,7 @@
 
 Package: gnustep-gui-runtime
 Architecture: any
-Depends: gnustep-gui-common (= ${source:Version}),
+Depends: gnustep-gui-common (>= ${source:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Description: GNUstep GUI Library - runtime files
@@ -55,13 +58,13 @@
  This package contains the runtime support files needed by GNUstep GUI
  applications.
 
-Package: libgnustep-gui0.25
+Package: libgnustep-gui0.26
 Architecture: any
 Section: libs
-Depends: gnustep-gui-common (= ${source:Version}),
+Depends: gnustep-gui-common (>= ${source:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
-Recommends: gnustep-gui-runtime (= ${binary:Version})
+Recommends: gnustep-gui-runtime
 Description: GNUstep GUI Library
  The GNUstep GUI library is a powerful library of graphical user interface
  classes written completely in the Objective-C language; the classes are
@@ -75,10 +78,9 @@
 Package: libgnustep-gui-dev
 Architecture: any
 Section: libdevel
-Depends: libgnustep-gui0.25 (= ${binary:Version}),
-         gnustep-gui-common (= ${source:Version}),
-         gnustep-gui-runtime (= ${binary:Version}),
-         libgnustep-base-dev (>= 1.24.9),
+Depends: libgnustep-gui0.26 (= ${binary:Version}),
+         gnustep-gui-runtime (>= 0.26.2),
+         libgnustep-base-dev (>= 1.25.1),
          ${misc:Depends}
 Suggests: gnustep-gui-doc
 Description: GNUstep GUI header files and static libraries
@@ -93,27 +95,12 @@
  Install this package if you wish to develop your own programs using
  the GNUstep GUI Library.
 
-Package: libgnustep-gui0.25-dbg
-Architecture: any
-Section: debug
-Priority: extra
-Depends: gnustep-gui-common (= ${source:Version}),
-         gnustep-gui-runtime (= ${binary:Version}),
-         libgnustep-gui0.25 (= ${binary:Version}),
-         ${misc:Depends}
-Recommends: libgnustep-base1.24-dbg
-Description: GNUstep GUI Library - debugging symbols
- The GNUstep GUI Library is a powerful library of graphical user interface
- classes written completely in the Objective-C language; the classes are
- based upon the OpenStep specification, and provide the user with a
- traditional nextstep-like look and feel.
- .
- This package contains the debugging symbols for the GNUstep GUI library.
-
 Package: gnustep-gui-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
+Recommends: gnustep-base-doc
 Description: Documentation for the GNUstep GUI Library
  The GNUstep GUI Library is a powerful library of graphical user interface
  classes written completely in the Objective-C language; the classes are
