## gnustep-gui 0.27.0

=== debian/changelog ===
gnustep-gui (0.27.0-5build2) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2020 21:32:49 +0100

gnustep-gui (0.27.0-5build1) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 13 Feb 2020 08:57:30 +0100

gnustep-gui (0.27.0-5) unstable; urgency=medium

  * debian/patches/gshorizontaltypesetter-crash.patch: Replace with the
    fix that was actually committed upstream.
  * debian/patches/nsbitmapimagerep-icns.patch: New; put best image first
    in the array of bitmap representations (Closes: #908512).
  * debian/patches/series: Update.
  * debian/templates/control.m4 (Build-Depends): Add libicns-dev.
    GNUstep GUI has its own, completely independent implementation of
    libicns because that library was GPL'ed.  However, libicns' license
    has been downgraded to LGPL and it's been in Debian for quite some
    time, so there is no reason to avoid linking with it.  At first glance
    it is also more portable compared to gnustep-gui's implementation.
  * debian/control: Regenerate.

 -- Yavor Doganov <yavor@gnu.org>  Wed, 27 Feb 2019 10:14:09 +0200

gnustep-gui (0.27.0-4) unstable; urgency=medium

  * debian/patches/ftbfs-kfreebsd.patch: Replace with the fix that was
    committed upstream.
  * debian/patches/gshorizontaltypesetter-crash.patch: New; fix crash in
    GSHorizontalTypesetter -_getProposedRectFor:withLineHeight:,
    reproducible with lynkeos.app when stacking multiple images.
  * debian/patches/series: Update.
  * debian/rules (override_dh_auto_configure): Pass --disable-icu-config.

 -- Yavor Doganov <yavor@gnu.org>  Sun, 03 Feb 2019 22:39:36 +0200

gnustep-gui (0.27.0-3) unstable; urgency=medium

  * debian/templates/control.m4: Tighten dependencies, disallowing partial
    upgrades and co-installation of different library versions.  This
    reverts the changes made in 0.26.2-1 (Addresses: #918844).
  * debian/control: Regenerate.
  * debian/patches/ftbfs-kfreebsd.patch: New; fixes FTBFS on GNU/kFreeBSD
    where HAVE_GETMNTINFO and HAVE_GETMNTENT are not mutually exclusive.
  * debian/patches/series: Update.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 18 Jan 2019 15:29:49 +0200

gnustep-gui (0.27.0-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/gbp.conf: Remove debian-branch.
  * debian/rules: Suppress verbose output in install/clean recipes.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 10 Jan 2019 15:29:30 +0200

gnustep-gui (0.27.0-1) experimental; urgency=medium

  * New upstream release:
    - Implements lazy loading of the app icon (Closes: #908512).
    - SONAME change: libgnustep-gui0.26 -> 0.27.
  * Remove patches applied upstream:
    - panel-selection.patch;
    - print-crash.patch;
    - gsdisplayserver-mainthread.patch;
    - gstheme-nssegmentedcontrol.patch.
  * debian/patches/series: Update.
  * debian/compat: Set to 12.
  * debian/templates/control.m4 (Build-Depends): Bump debhelper
    requirement to match the compat level.  Bump gnustep-make to >=
    2.7.0-4 for "terse" support.
    (Standards-Version): Claim compliance with 4.3.0; no changes needed.
  * debian/control: Regenerate, reflecting the SONAME change.
  * debian/rules: Replace all occurrences of "messages=yes" with
    "$(verbose)" to support "terse" in DEB_BUILD_OPTIONS.
    (override_dh_auto_install-indep): Delete duplicate files which trigger
    lintian warning; they are already shipped in /usr/share/doc.
    (v_base): Bump to 1.26.
  * debian/clean: Update for the new SONAME.
  * debian/upstream/signing-key.asc: Minimize.
  * debian/gbp.conf: New file.
  * debian/templates/gnustep-gui-common.install.in: Add manpages as
    they're installed by the upstream build system.
  * debian/gnustep-gui-common.manpages: Delete; pointless.
  * debian/templates/gnustep-gui-doc.install.in: Likewise, let the
    upstream build system handle the Info manual.
  * debian/gnustep-gui-doc.info: Delete.
  * debian/copyright: Bump copyright years for Debian packaging.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 08 Jan 2019 13:17:27 +0200
