=== debian/control ===
--- 
+++ 
@@ -7,10 +7,11 @@
            Yavor Doganov <yavor@gnu.org>
 Section: gnustep
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 12),
                m4,
-               libgnustep-base-dev (>= 1.25.1),
-               gnustep-make (>= 2.7.0-3),
+               libgnustep-base-dev (>= 1.26),
+               gnustep-make (>= 2.7.0-4),
+               libicns-dev,
                libjpeg-dev,
                libtiff-dev,
                libpng-dev,
@@ -27,14 +28,14 @@
                      texlive-base,
                      texlive-latex-base,
                      gnustep-base-doc
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/gnustep-team/gnustep-gui
 Vcs-Git: https://salsa.debian.org/gnustep-team/gnustep-gui.git
 Homepage: http://gnustep.org
 
 Package: gnustep-gui-common
 Architecture: all
-Depends: gnustep-base-common (>= 1.25.1),
+Depends: gnustep-base-common (>= 1.26),
          ${misc:Depends}
 Description: GNUstep GUI Library - common files
  The GNUstep GUI Library is a powerful library of graphical user interface
@@ -46,7 +47,7 @@
 
 Package: gnustep-gui-runtime
 Architecture: any
-Depends: gnustep-gui-common (>= ${source:Version}),
+Depends: gnustep-gui-common (= ${source:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Description: GNUstep GUI Library - runtime files
@@ -58,13 +59,13 @@
  This package contains the runtime support files needed by GNUstep GUI
  applications.
 
-Package: libgnustep-gui0.26
+Package: libgnustep-gui0.27
 Architecture: any
 Section: libs
-Depends: gnustep-gui-common (>= ${source:Version}),
+Depends: gnustep-gui-common (= ${source:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
-Recommends: gnustep-gui-runtime
+Recommends: gnustep-gui-runtime (= ${binary:Version})
 Description: GNUstep GUI Library
  The GNUstep GUI library is a powerful library of graphical user interface
  classes written completely in the Objective-C language; the classes are
@@ -78,9 +79,9 @@
 Package: libgnustep-gui-dev
 Architecture: any
 Section: libdevel
-Depends: libgnustep-gui0.26 (= ${binary:Version}),
-         gnustep-gui-runtime (>= 0.26.2),
-         libgnustep-base-dev (>= 1.25.1),
+Depends: libgnustep-gui0.27 (= ${binary:Version}),
+         gnustep-gui-runtime (= ${binary:Version}),
+         libgnustep-base-dev (>= 1.26),
          ${misc:Depends}
 Suggests: gnustep-gui-doc
 Description: GNUstep GUI header files and static libraries
