=== debian/tests/control ===
Tests: file-tests testsuite
Restrictions: allow-stderr
Depends: @, shunit2, file
