## gnustep-gui 0.28.0

=== debian/changelog ===
gnustep-gui (0.28.0-3) unstable; urgency=medium

  * debian/patches/nspdfimagerep.patch: New; fix initialization of
    NSPDFImageRep (Closes: #963478).
  * debian/patches/series: Update.
  * debian/templates/control.m4 (Build-Depends): Switch to the
    debhelper-compat mechanism.
  * debian/control: Regenerate.
  * debian/compat: Delete.

 -- Yavor Doganov <yavor@gnu.org>  Mon, 22 Jun 2020 17:28:27 +0300

gnustep-gui (0.28.0-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/gbp.conf: Remove debian-branch.
  * debian/patches/nsappkitversionnumber.patch: New; remove semicolons
    from NSAppKitVersionNumber* definitions (Closes: #962503).
  * debian/patches/gsspeechrecognizer-manpage.patch: Record as applied
    upstream.
  * debian/patches/series: Update.
  * debian/templates/libgnustep-guiN.overrides.m4: Replace
    shlibs-declares-dependency-on-other-package with
    distant-prerequisite-in-shlibs (tag renamed by Lintian).

 -- Yavor Doganov <yavor@gnu.org>  Fri, 12 Jun 2020 11:06:34 +0300

gnustep-gui (0.28.0-1) experimental; urgency=medium

  * New upstream release:
    - SONAME change: libgnustep-gui0.27 -> 0.28.
  * debian/gbp.conf: Set debian-branch to experimental.
  * debian/rules (v_base): Bump to 1.27.
    (DEB_LDFLAGS_MAINT_APPEND): Drop -Wl,--as-needed; now GCC default.
    (override_dh_install): Delete stamp.make files as they're causing
    warnings from dh_missing.
  * debian/compat: Set to 13.
  * debian/templates/control.m4 (Build-Depends): Remove gnustep-make; it
    is pulled in by libgnustep-base-dev and the required version is
    available in buster.  Bump debhelper requirement.  Add
    libpocketsphinx-dev, restricting to arches where it is available.
    (Rules-Requires-Root): Set to "no".
    (Standards-Version): Claim compliance with 4.5.0; no changes needed.
  * debian/control: Regenerate, reflecting the SONAME bump.
  * debian/clean: Update for the new SONAME.
  * debian/patches/ftbfs-kfreebsd.patch: Remove; merged upstream.
  * debian/patches/gshorizontaltypesetter-crash.patch: Likewise.
  * debian/patches/nsbitmapimagerep-icns.patch: Likewise.
  * debian/patches/gsspeechrecognizer-manpage.patch: New; add manpage for
    GSSpeechRecognitionServer and install it conditionally.
  * debian/patches/sparc-optim.patch: New; remove special sparc workaround
    as it's causing a warning when the build logs are being scanned.
  * debian/patches/series: Update.
  * debian/gnustep-gui-doc.links: New file; install symlink in
    /usr/share/doc pointing to /usr/share/GNUstep/Documentation.
  * debian/gnustep-gui-doc.doc-base.gui: Use /usr/share/doc symlinks for
    doc-base registration; fixes a lintian error.
  * debian/gnustep-gui-doc.doc-base.additions: Likewise.
  * debian/gnustep-gui-doc.doc-base.manual: Likewise.
  * debian/copyright: Record license for Tools/speech_recognizer; update
    copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 30 Apr 2020 16:09:32 +0300
