=== debian/control ===
--- 
+++ 
@@ -7,10 +7,9 @@
            Yavor Doganov <yavor@gnu.org>
 Section: gnustep
 Priority: optional
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 13),
                m4,
-               libgnustep-base-dev (>= 1.26),
-               gnustep-make (>= 2.7.0-4),
+               libgnustep-base-dev (>= 1.27),
                libicns-dev,
                libjpeg-dev,
                libtiff-dev,
@@ -22,20 +21,23 @@
                zlib1g-dev,
                libcups2-dev,
                libao-dev,
+# Exclude architectures where pocketsphinx is not available.
+               libpocketsphinx-dev [!mips64el !mipsel !s390x !alpha !hppa !ia64 !m68k !powerpc !ppc64 !sparc64],
                libsndfile1-dev,
                flite1-dev
 Build-Depends-Indep: texinfo,
                      texlive-base,
                      texlive-latex-base,
                      gnustep-base-doc
-Standards-Version: 4.3.0
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/gnustep-team/gnustep-gui
 Vcs-Git: https://salsa.debian.org/gnustep-team/gnustep-gui.git
 Homepage: http://gnustep.org
 
 Package: gnustep-gui-common
 Architecture: all
-Depends: gnustep-base-common (>= 1.26),
+Depends: gnustep-base-common (>= 1.27),
          ${misc:Depends}
 Description: GNUstep GUI Library - common files
  The GNUstep GUI Library is a powerful library of graphical user interface
@@ -59,7 +61,7 @@
  This package contains the runtime support files needed by GNUstep GUI
  applications.
 
-Package: libgnustep-gui0.27
+Package: libgnustep-gui0.28
 Architecture: any
 Section: libs
 Depends: gnustep-gui-common (= ${source:Version}),
@@ -79,9 +81,9 @@
 Package: libgnustep-gui-dev
 Architecture: any
 Section: libdevel
-Depends: libgnustep-gui0.27 (= ${binary:Version}),
+Depends: libgnustep-gui0.28 (= ${binary:Version}),
          gnustep-gui-runtime (= ${binary:Version}),
-         libgnustep-base-dev (>= 1.26),
+         libgnustep-base-dev (>= 1.27),
          ${misc:Depends}
 Suggests: gnustep-gui-doc
 Description: GNUstep GUI header files and static libraries
