=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #export DH_VERBOSE = 1
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--no-undefined -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--no-undefined
 
 # config.mk is provided by gnustep-make package
 include /usr/share/GNUstep/debian/config.mk
@@ -13,7 +13,7 @@
 ##### VERSION NUMBERS ###########################################
 
 # GNUstep Base version :
-v_base  := 1.25.1
+v_base  := 1.27
 
 # GNUstep Gui/Back version :
 v_gui   := $(shell . ./Version; echo $$VERSION)
@@ -98,12 +98,13 @@
 	    debian/templates/$(p_dev).install.in > debian/$(p_dev).install
 
 	dh_auto_configure -- \
+	    --disable-icu-config \
 	    --enable-imagemagick
 
 override_dh_auto_build-arch:
 # build shared libs
 	dh_auto_build -- \
-	    messages=yes \
+	    $(verbose) \
 	    $(optim) \
 	    doc=no \
 	    $(shell dpkg-buildflags --export=cmdline)
@@ -111,14 +112,14 @@
 # build dev/static lib
 	dh_auto_build -- \
 	    -C Source \
-	    messages=yes \
+	    $(verbose) \
 	    doc=no \
 	    shared=no
 
 override_dh_auto_build-indep:
 # build shared libs
 	dh_auto_build -- \
-	    messages=yes \
+	    $(verbose) \
 	    doc=no
 
 # build main doc. Make sure autogsdoc can find the libraries.
@@ -133,38 +134,34 @@
 override_dh_auto_install-arch:
 # install shared version of libraries
 	dh_auto_install -- \
-	    messages=yes \
 	    doc=no
 
 # install dev/static lib
 	dh_auto_install -- \
 	    -C Source \
-	    messages=yes \
 	    doc=no \
 	    shared=no
 
 override_dh_auto_install-indep:
 # install shared version of libraries
 	dh_auto_install -- \
-	    messages=yes \
 	    doc=no
 
 # install doc
 	dh_auto_install -- \
 	    -C Documentation \
-	    message=yes \
 	    doc=yes
+# Delete duplicate files already shipped at /usr/share/doc/.
+	$(RM) -r debian/tmp$(GNUSTEP_SYSTEM_DOC)/Developer/Gui/ReleaseNotes/0.*
 
 override_dh_auto_clean-indep:
 	dh_auto_clean -- \
-	    messages=yes \
 	    doc=yes
 
 override_dh_install:
 # Don't install stamp.make file
-	dh_install -p$(p_run) -Xstamp.make
-
-	dh_install --remaining-packages
+	find -name stamp.make -delete
+	dh_install
 
 # Doc symlinks
 override_dh_installdocs:
