## gnustep-gui 0.29.0

=== debian/changelog ===
gnustep-gui (0.29.0-2build1) jammy; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 09 Feb 2022 09:13:21 +0100

gnustep-gui (0.29.0-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/gbp.conf: Remove debian-branch.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 07 Dec 2021 02:17:53 +0200

gnustep-gui (0.29.0-1) experimental; urgency=medium

  * New upstream release:
    - SONAME change: libgnustep-gui0.28 -> 0.29.
  * debian/gbp.conf: Set debian-branch to experimental.
  * debian/templates/control.m4 (Uploaders): Update Gürkan's address.
    (Standards-Version): Bump to 4.6.0; no changes needed.
  * debian/control: Regenerate, reflecting the new SONAME.
  * debian/rules (v_base): Bump to 1.28.
  * debian/clean: Use globs where applicable.
  * debian/patches/nspdfimagerep.patch: Remove; applied upstream.
  * debian/patches/nsappkitversionnumber.patch: Likewise.
  * debian/patches/gsspeechrecognizer-manpage.patch: Likewise.
  * debian/patches/series: Update.
  * debian/copyright: Update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Mon, 15 Nov 2021 15:28:42 +0200
