=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Source: gnustep-gui
 Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
 Uploaders: Eric Heintzmann <heintzmann.eric@free.fr>,
-           Gürkan Myczko <gurkan@phys.ethz.ch>,
+           Gürkan Myczko <tar@debian.org>,
            Yavor Doganov <yavor@gnu.org>
 Section: gnustep
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                m4,
-               libgnustep-base-dev (>= 1.27),
+               libgnustep-base-dev (>= 1.28),
                libicns-dev,
                libjpeg-dev,
                libtiff-dev,
@@ -30,14 +30,14 @@
                      texlive-latex-base,
                      gnustep-base-doc
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/gnustep-team/gnustep-gui
 Vcs-Git: https://salsa.debian.org/gnustep-team/gnustep-gui.git
 Homepage: http://gnustep.org
 
 Package: gnustep-gui-common
 Architecture: all
-Depends: gnustep-base-common (>= 1.27),
+Depends: gnustep-base-common (>= 1.28),
          ${misc:Depends}
 Description: GNUstep GUI Library - common files
  The GNUstep GUI Library is a powerful library of graphical user interface
@@ -61,7 +61,7 @@
  This package contains the runtime support files needed by GNUstep GUI
  applications.
 
-Package: libgnustep-gui0.28
+Package: libgnustep-gui0.29
 Architecture: any
 Section: libs
 Depends: gnustep-gui-common (= ${source:Version}),
@@ -81,9 +81,9 @@
 Package: libgnustep-gui-dev
 Architecture: any
 Section: libdevel
-Depends: libgnustep-gui0.28 (= ${binary:Version}),
+Depends: libgnustep-gui0.29 (= ${binary:Version}),
          gnustep-gui-runtime (= ${binary:Version}),
-         libgnustep-base-dev (>= 1.27),
+         libgnustep-base-dev (>= 1.28),
          ${misc:Depends}
 Suggests: gnustep-gui-doc
 Description: GNUstep GUI header files and static libraries
