=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 ##### VERSION NUMBERS ###########################################
 
 # GNUstep Base version :
-v_base  := 1.27
+v_base  := 1.28
 
 # GNUstep Gui/Back version :
 v_gui   := $(shell . ./Version; echo $$VERSION)
